Package org.opensaml.core.xml.schema.impl

# Class XSQNameUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.core.xml.schema.impl.XSQNameUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

Direct Known Subclasses:
  `AttributedQNameUnmarshaller`

public class XSQNameUnmarshaller extends AbstractXMLObjectUnmarshaller
A thread-safe unmarshaller for `XSQName`s.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`XSQNameUnmarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processChildElement(XMLObject parentXMLObject, XMLObject childXMLObject)`
Called after a child element has been unmarshalled so that it can be added to the parent XMLObject.
`protected void`
`unmarshallTextContent(XMLObject xmlObject, Text content)`
Unmarshalls the given Text node into a usable string by way of `CharacterData.getData()` and passes it off to `AbstractXMLObjectUnmarshaller.processElementContent(XMLObject, String)` if the string is not null and contains something other than whitespace.

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processAttribute, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XSQNameUnmarshaller

public XSQNameUnmarshaller()

## Method Details

### processChildElement

protected void processChildElement(@Nonnull XMLObject parentXMLObject, @Nonnull XMLObject childXMLObject) throws UnmarshallingException
Called after a child element has been unmarshalled so that it can be added to the parent XMLObject. The default implementation of this method is a no-op.

Overrides:
  `processChildElement` in class `AbstractXMLObjectUnmarshaller`
Parameters:
  `parentXMLObject` - the parent XMLObject
  `childXMLObject` - the child XMLObject
Throws:
  `UnmarshallingException` - thrown if there is a problem adding the child to the parent

### unmarshallTextContent

protected void unmarshallTextContent(@Nonnull XMLObject xmlObject, @Nonnull Text content) throws UnmarshallingException
Unmarshalls the given Text node into a usable string by way of `CharacterData.getData()` and passes it off to `AbstractXMLObjectUnmarshaller.processElementContent(XMLObject, String)` if the string is not null and contains something other than whitespace.

Overrides:
  `unmarshallTextContent` in class `AbstractXMLObjectUnmarshaller`
Parameters:
  `xmlObject` - the XMLObject receiving the element content
  `content` - the textual content
Throws:
  `UnmarshallingException` - thrown if there is a problem unmarshalling the text node